Subject: bug#34657: [PATCH] erc: fix erc-reuse-buffers (bug#40121)

From: "Mingde (Matthew) Zeng" <[email-masked]>
Date: Sun, 09 Aug 2020 23:34:31 -0400

Lars Ingebrigtsen <[email-masked]> writes:

> (Note that I've moved this from emacs-devel to the bug report.)
>
> "Mingde (Matthew) Zeng" <[email-masked]> writes:
>
>> * lisp/erc/erc.el (erc-generate-new-buffer-name): since `target' is
>> always non-nil, buffer-name is non-nil, erc-reuse-buffers is t, it
>> will always use the first candidate, resulting in behavior 1.
>
> Is this correct, though?

Incorrect (after our previous discussion), I'll change it in my next patch.

>
> Otherwise I think the patch looks OK, but there's unfortunately been
> further changes to these functions, and your patch no longer applies.
> Can you re-spin the patch?

Sure, but in a day or two, a bit busy at the moment.

Matthew

--
Mingde (Matthew) Zeng